Skip to main content

Atrium API

List Transactions

Use this endpoint to get all transactions that belong to a specific user, across all the user's members and accounts.

GET
/users/{user_guid}/transactions

Query Parameters

FieldRequiredType

from_date

Return transactions occurring within a date range starting on this day. If not set, this defaults to 90 days prior to the day of the request. Must be in ISO 8601 format without a time component.

Optional
String

to_date

Return transactions occurring in a date range ending on this day. If not set, this defaults to 5 days forward from the day of the request so as to capture pending transactions. Must be in ISO 8601 format without a time component.

Optional
String

Request sample

Language:sh

_10
curl -i 'https://vestibule.mx.com/users/{user_guid}/transactions' \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_82
{
_82
"transactions": [
_82
{
_82
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
_82
"amount": 61.11,
_82
"category": "Groceries",
_82
"check_number": 15234,
_82
"check_number_string": "00015234",
_82
"created_at": "2016-10-06T09:43:42+00:00",
_82
"currency_code": "USD",
_82
"date": "2013-09-23",
_82
"description": "Whole Foods",
_82
"guid": "TRN-265abee9-889b-af6a-c69b-25157db2bdd9",
_82
"is_bill_pay": false,
_82
"is_direct_deposit": false,
_82
"is_expense": true,
_82
"is_fee": false,
_82
"is_income": false,
_82
"is_international": false,
_82
"is_overdraft_fee": false,
_82
"is_payroll_advance": false,
_82
"is_subscription": false,
_82
"latitude": -43.2075,
_82
"longitude": 139.691706,
_82
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_82
"memo": null,
_82
"merchant_category_code": 5411,
_82
"merchant_guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
_82
"merchant_location_guid": null,
_82
"original_description": "WHOLEFDS TSQ 102",
_82
"posted_at": "2016-10-07T06:00:00+00:00",
_82
"status": "POSTED",
_82
"top_level_category": "Food & Dining",
_82
"transacted_at": "2016-10-06T13:00:00+00:00",
_82
"type": "DEBIT",
_82
"updated_at": "2016-10-07T05:49:12+00:00",
_82
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_82
},
_82
{
_82
"account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
_82
"amount": 23.4,
_82
"category": "Books",
_82
"check_number": 15234,
_82
"check_number_string": "00015234",
_82
"created_at": "2016-08-26T09:43:42+00:00",
_82
"currency_code": "USD",
_82
"date": "2013-09-23",
_82
"description": "Audible",
_82
"guid": "TRN-265abee9-889b-af6a-c69b-25157db2bdd9",
_82
"is_bill_pay": false,
_82
"is_direct_deposit": false,
_82
"is_expense": true,
_82
"is_fee": false,
_82
"is_income": false,
_82
"is_international": false,
_82
"is_overdraft_fee": false,
_82
"is_payroll_advance": false,
_82
"is_subscription": false,
_82
"latitude": -43.2075,
_82
"longitude": 139.691706,
_82
"member_guid": "MBR-7c6f361b-e582-15b6-60c0-358f12466b4b",
_82
"memo": null,
_82
"merchant_category_code": 5411,
_82
"merchant_guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
_82
"merchant_location_guid": null,
_82
"original_description": "AUDIBLEBKS",
_82
"posted_at": "2016-08-27T06:00:00+00:00",
_82
"status": "POSTED",
_82
"top_level_category": "Entertainment",
_82
"transacted_at": "2016-08-26T13:00:00+00:00",
_82
"type": "DEBIT",
_82
"updated_at": "2016-08-27T05:49:12+00:00",
_82
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
_82
}
_82
],
_82
"pagination": {
_82
"current_page": 1,
_82
"per_page": 25,
_82
"total_entries": 2,
_82
"total_pages": 1
_82
}
_82
}